/*2.2.14 - 2026.04.24*/
- Fixed: Feature setting display incorrect
- Fixed: Bulk edit variation price not working properly

/*2.2.13 - 2026.04.08*/
- Updated: Preview blocks
- Updated: Country code for Currency
- Updated: Compatibility with version WC 10.6

/*2.2.12 - 2026.02.06*/
- Updated: Only specific conditional tags are supported in the “Conditional Tags” option.

/*2.2.11 - 2026.01.22*/
- Fixed: Conflict with WooCommerce HPOS

/*2.2.10 - 2026.01.20*/
- Updated: New register Elementor widget hook
- Updated: Compatibility with WP 6.9 and WC 10.4

/*2.2.9 - 2025.07.23*/
- Updated: Add setting descriptions

/*2.2.8 - 2025.04.18*/
- Updated: Compatibility with WP 6.8 and WC 9.8

/*2.2.7 - 2025.03.24*/
- Updated: Add compatible code with GIFT4U – Gift Cards All in One for Woo
- Fixed: Conflict with WooCommerce Subscriptions
- Fixed: Conflict with Learnpress

/*2.2.6 - 2025.02.04*/
- Fixed: Issue with Advanced Product Fields For WooCommerce
- Updated: Add setting style

/*2.2.5 - 2024.12.21*/
- Updated: Add setting description
- Updated: Compatibility with WC 9.5

/*2.2.4 - 2024.11.09*/
- Fixed: Missing text domain from some translate text

/*2.2.3 - 2024.06.04*/
- Update: Add filter wmc_switcher_display_currency_name to change display currency name

/*2.2.2 - 2024.04.13*/
- Fixed: Shipping issue with MyFatoorah
- Fixed: Conflict shipping price with Envia Shipping and Fulfillment

/*2.2.1 - 2024.01.05*/
- Fixed: Wrong COD price with WooCommerce Smart COD
- Fixed: Missing currency info in admin order
- Updated: Change analytic function workflow
- Updated: Compatibility with CTX Feed Pro

/*2.2.0 - 2023.08.23*/
- Fixed: Compatible with High-Performance order storage (COT)
- Updated: Compatibility with WP 6.3 and WooCommerce 8.0

/*2.1.31 - 2023.07.22*/
- Fixed: YITH WooCommerce Product Add-ons & Extra Options Premium compatibility issue
- Fixed: Wrong fixed price display on WC Blocks
- Updated: Compatible with High-Performance order storage (COT)

/*2.1.30 - 2023.05.04*/
- Updated: Compatibility with google index

/*2.1.29 - 2023.04.07*/
- Updated: Compatibility with WP 6.2

/*2.1.28 - 2023.03.01*/
- Fixed: Convert min/max topup amount

/*2.1.27 - 2023.01.12*/
- Added: Add loading layer mask option when price is loading by AJAX
- Fixed: String divide string in PHP8

/*2.1.26 - 2022.12.09*/
- Fixed: Add missing nonce

/*2.1.25 - 2022.11.15*/
- Fixed: PHP8 - convert string to float

/*2.1.24 - 2022.09.10*/
- Added: Translate for Vietnamese

/*2.1.23 - 2022.07.25*/
- Fixed: Fill order data in WooCommerce analytics

/*2.1.22 - 2022.06.20*/
- Fixed: Compatibility issues with WPC Product Bundles for WooCommerce by WPClever
- Fixed: Flag css overridden by some themes

/*2.1.21 - 2022.06.18*/
- Fixed: Price not consistent when going to checkout then going to other pages at the first load if Pay in many currencies option is turned off

/*2.1.20 - 2022.06.03*/
- Fixed: Sanitize/escape data + small fixes

/*2.1.19 - 2022.06.02*/
- Fixed: Sanitize/escape data
- Added: New shortcode [woo_multi_currency_layout10]
- Optimized: RTL
- Optimized: Sync checkout currency and automatically reload checkout page to work correctly with the new PayPal gateway

/*2.1.18 - 2022.05.31*/
- Fixed: Correctly escape all URLs

/*2.1.17 - 2022.05.30*/
- Fixed: Compatibility issues with WooCommerce TM Extra Product Options By ThemeComplete
- Fixed: Compatibility issues with TeraWallet and UddoktaPay Gateway
- Updated: Compatibility with WP 6.0

/*2.1.16 - 2022.05.04*/
- Fixed: Deprecated _register_controls notice from Elementor 3.6
- Fixed: Some warning notices on the plugin settings page and admin orders page in some cases
- Fixed: Compatibility issues with TerraWallet - credit not converted if order status is manually switched to paid statuses after payment; cashback conversion
- Fixed: Compatibility issues with Visual Products Configurator by ORION - linked options not converting

/*2.1.15 - 2022.04.22*/
- Fixed: Compatibility issues with LearnPress – WooCommerce Payment Methods Integration
- Fixed: Compatibility issues with Flexible Shipping by WP Desk - do not convert INF
- Updated: Make Approximate price feature work as configured in "Currency by Country" feature if enabled
- Updated: Support Class

/*2.1.14 - 2022.03.29*/
- Fixed: Compatibility issues with LearnPress – WooCommerce Payment Methods Integration
- Updated: Support Class

/*2.1.13 - 2022.03.21*/
- Fixed: Compatibility issues with Bookly
- Fixed: Compatibility issues with Learnpress
- Fixed: Compatibility issues with TeraWallet
- Fixed: Compatibility issues with WooCommerce Name Your Price by Kathy Darling
- Improved: WP rocket compatibility - mandatory cookies filter
- Updated: Support Class

/**2.1.12 - 2022.01.26**/
- Fixed: Error with Learnpress new versions
- Updated: Compatibility with WP 5.9

/**2.1.11 - 2022.01.15**/
- Fixed: Deprecated is_ajax in WC6.1

/**2.1.10 - 2022.01.11**/
- Updated: Added Trademark name
- Updated: VillaTheme_Support
- Fixed: Compatibility issues with WooCommerce Payments plugin
- Fixed: Compatibility issues with Woo Discount Rules plugin by Flycart(prices in discount table not converted in some cases)
- Fixed: Compatibility issues with PPOM for WooCommerce by N-MEDIA - Najeeb Ahmad

/**2.1.9 - 2021.12.11**/
- Fixed: Compatibility with Woo Discount Rules: fixed regular price is not used to calculate discount if "Calculate discount from" option(Woo Discount Rules settings) is set to Regular price
- Updated: SCSS
- Fixed: Price format of EUR may have be incorrect due to WooCommerce Payments plugin
- Fixed: Analytics net sales in some cases
- Fixed: Some compatibility issues with WPC Product Bundles for WooCommerce plugin by WPClever
- Fixed: Reduce z-index of product price switcher to not cover zoom featured/gallery image when zooming

/**2.1.8 - 2021.10.26**/
- Fixed: Make converted coupon min/max amount round with respective currency decimals
- Fixed: Incorrect price shown by calculate_extra_price_ajax_handler ajax(WooCommerce Extra Product Options Pro by ThemeHigh)
- Fixed: Compatibility issue with Yith frequently bought together, OrderBumps: WooCommerce Checkout Offers - WooFunnels
- Fixed: Shipping issue with CDEK + Aramex shipping methods
- Updated: [woo_multi_currency_exchange] shortcode can now be used to print out product price
- Added: Compatibility with Catna – WooCommerce Name Your Price and Offers(convert price + support fixed price for Name your price fields)
- Added: Compatibility with Bopo – Woo Product Bundle Builder
- Added: Compatibility with WooCommerce Boost Sales new feature - dynamic price and discount for bundle

/**2.1.7 - 2021.07.31**/
- Fixed: Flexible shipping cost not converting
- Fixed: WooCommerce Booking resource not converting
- Fixed: WooCommerce Product addons compatibility issue
- Fixed: Conversion issue with Smart bundle for WooCommerce plugin
- Fixed: Conversion issue with PPOM for WooCommerce plugin
- Fixed: Missing VAT information in emails
- Updated: Compatibility with WP 5.8 and WC 5.5
- Updated: Class VillaTheme_Support
- Added: ETH, LTC, ZWL

/**2.1.6.6 - 2021.06.18**/
- Fixed: Fixed price of simple subscription product not saving
- Fixed: Shipping class costs conversion
- Updated: Support class

/**2.1.6.5 - 2021.06.15**/
- Fixed: Division by zero in price filter of some themes
- Added: Unlock the "Rate decimals" option

/**2.1.6.4 - 2021.06.11**/
- Fixed: Division by zero when using price filter in some cases
- Updated: Order stats from other currencies are converted to default currency in WooCommerce Analytics(revenue/orders)

/**2.1.6.3 - 2021.06.03**/
- Fixed: Price issue with variable subscription - WooCommerce Subscription
- Added: Change WooCommerce price filter step according to currency
- Added: Compatibility with Woo Discount Rules from Flycart including Bulk discount(percentage+fixed), Product adjustment(percentage+fixed), Cart adjustment(percentage discount only)
- Added: Option to enable/disable the use of rel="nofollow" in currency switcher buttons

/**2.1.6.2 - 2021.03.06**/
- Fixed: Price issue with Visual Product Configurator
- Fixed: WooCommerce subscription - renew subscription + fixed price issue
- Fixed: Advanced product fields for WooCommerce pro - Min cart subtotal rule issue
- Fixed: WooCommerce product addons - incorrect displaying price
- Fixed: Yith dynamic pricing and discount - Quantity discount rule
- Fixed: Wrong price in facebook feed created by WooCommerce Product Feed Pro plugin from WebAppick
- Updated: Compatibility with WP 5.7 and WC 5.0

/**2.1.6.1 - 2020.12.25**/
- Updated: Calculate mini cart in other hook

/**2.1.6 - 2020.10.27**/
- Updated: Compatible with cache plugin option

/**2.1.5.6 - 2020.07.21**/
- Fixed: Color option for shortcode

/**2.1.5.5 - 2020.07.02**/
- Fixed: define WPFC_CACHE_QUERYSTRING notice

/**2.1.5.4 - 2020.06.15**/
- Updated: Compatible with WooCommerce Report

/**2.1.5.3 - 2020.06.2**/
- Fixed: Filter by price

/**2.1.5.2 - 2020.05.22**/
- Fixed: Compatible with WP Rocket Cache

/**2.1.5.1 - 2020.05.21**/
- Updated: Change role to woocommerce_manage

/**2.1.5 - 2020.05.19**/
- Updated: Compatible with Elementor

/**2.1.4.4 - 2020.04.23**/
- Updated: Support file

/**2.1.4.3 - 2020.04.21**/
- Updated: Add 2 new shortcode: [woo_multi_currency_layout8] [woo_multi_currency_layout9]
- Compatible: WooCommerce TM Extra Product Options (themeComplete) - full
- Compatible: Subscriptio - WooCommerce Subscriptions (RightPress) - full
- Compatible: Discussion on RnB - WooCommerce Booking & Rental Plugin (RedQ Team) - full
- Compatible: WooCommerce PDF Vouchers - WordPress Plugin (wpweb) - full

/**2.1.4.2 - 2020.03.23**/
- Updated: Support file

/**2.1.4.1 - 2019.11.30**/
- Fixed: Switcher bar doesn't show at checkout page.

/**2.1.4 - 2019.11.16**/
- Fixed: Currency bar CSS

/**2.1.3.9 - 2019.11.16**/
- Updated: Sanitize input data

/**2.1.3.8 - 2019.10.10**/
- Updated: Change order detail notice by currency value

/**2.1.3.7 - 2019.10.07**/
- Updated: Update readme

/**2.1.3.6 - 2019.09.12**/
- Updated: Optimize load flags
- Updated: Add ETH flag
- Updated: Optimize display loop

/**2.1.3.5 - 2019.05.09**/
- Updated: Premium version link
- Updated: Exchange rate API

/**2.1.3.4 - 2019.05.03**/
- Fixed: Problem with WooCommerce Bookings
- Updated: Exchange rate API

/**2.1.3.3 - 2019.04.04**/
- Updated: Make admin notices dismissible

/*2.1.3.2  - 2019.03.08*/
- Updated: Do not auto clear cache(W3 Total cache and WP Rocket)
- Fixed: Exchange rates widget

/*2.1.3.1  - 2018.01.04*/
- Updated: The same premium

/*2.1.3  - 2018.12.21*/
- Updated: Class support
- Fixed: Currency position not working
- Fixed: Tab JS in backend

/*2.1.2.4.1 - 2018.11.10*/
- Fixed: Support class

/*2.1.2.4 - 2018.10.16*/
- Remove: Upgrade notification
- Remove: Encrypted initial data
- Fixed: Sanitize data
- Fixed: Class support
- Fixed: Return 404 issue with Autoptimize
- Fixed: Currencies bar unclickable on some users' site
- Updated: Anchor link wrap currency symbol on currencies bar
- Updated: Learnpress compatibility

/*2.1.2.3 - 2018.10.15*/
- Remove: Upgrade notice

/*2.1.2.2 - 2018.09.26*/
- Fixed: Missing class method

/*2.1.2.1 - 2018.09.05*/
- Fixed: Currency price switcher

/*2.1.2 - 2018.09.05*/
- Added: Custom define SERVER IP
- Added: Currency price switcher
- Fixed: Approximately price
- Fixed: Shortcodes
- Fixed: Update currency when order completed.
- Fixed: Widget flag
- Updated: CSS for mobile
- Compatible: WooCommerce Booking

/*2.1.1.2 - 2018.08.22*/
- Fixed: Shipping rate decimal
- Fixed: Class support

/*2.1.1.1 - 2018.07.09*/
- Fixed: class Data of free version

/*2.1.1 - 2018.07.07*/
- Updated: Flag images
- Updated: Class Support
- Fixed: Order ID on thank you page
- Fixed: Clear browser cache
- Fixed: Fixed price
- Added: Widget, shortcode of Currency rates

/*2.1.0.1 - 2018.05.29*/
- Fixed: Class support
- Added: WPML.org

/*2.1.0 - 2018.05.14*/
- Fixed: Clear cache plugins
- Fixed: Currency not change on widget Price filter
- Fixed: Cache price when exchange of price.php
- Added: Shortcode exchange with number
- Compatibled: WooCommerce Wholesale prices

/*2.0.9.1.1 - 2018.05.11*/
- Fixed: Support class

/*2.0.9.1- 2018.05.08*/
- Fixed: Clear cache

/*2.0.9- 2018.04.28*/
- Added: Clear cache with Autoptimize
- Added: Clear cache with WP Fastest Cache
- Added: Clear cache with WP Rocket
- Fixed: Decimal is 0 with other currencies
- Fixed: Fixed price not saving on external/affiliate product

/*2.0.8.2.1 - 2018.04.28*/
- Fixed: Warning of URL

/*2.0.8.2 - 2018.04.16*/
-Updated: Link to pro version

/*2.0.8.1 - 2018.04.09*/
- Fixed: Class support

/*2.0.8 - 2018.03.05*/
- Compatible: Printful shipping
- Fixed: Class support
- Fixed: Decimal symbols

/*2.0.7.3 - 2018.01.16*/
- Fixed: Price cache

/*2.0.7.2 - 2018.01.13*/
- Fixed: show debug

/*2.0.7.1 - 2018.01.12*/
- Fixed: Price Cache

/*2.0.7 - 2018.01.12*/
- Optimized: Get data
- Fixed: Tab CSS in backend

/*2.0.6 - 2018.01.06*/
- Fixed: Conflict CSS of Currency bar
- Fixed: Hide approximately if currency detect is the same current currency
- Fixed: Change currency back that override in checkout page

/*2.0.5 - 2017.12.23*/
- Updated: Large size for flag
- Added: Geo API
- Added: ETH, LTC currency
- Added: Drag and drop currency
- Fixed: Currency symbol not change when empty cart
- Fixed: EUR text
- Compatible: Visual Product Builder
- Compatible: WooCommerce Subscriptions
- Compatible: WooCommerce Product Bundles

/*2.0.4 - 2017.11.23*/
- Fixed: WooCommerce load after
- Fixed: Conditional tags
- Fixed: Custom CSS
- Added: Bulk edit in product variation
- Added: System page

/*2.0.3 - 2017.11.20*/
- Fixed: Move data to new version
- Fixed: Shipping with WooCOmmerce 3.1.1

/*2.0.2 - 2017.11.11*/
- Fixed: Conflict Class

/*2.0.1 - 2017.11.10*/
- Fixed: Check design on page
- Fixed: Compatible with Flatsome theme

/*2.0.0 - 2017.11.09*/
- Updated: New version 2.0